#
# spec file for package desktopfolder
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           desktopfolder
Version:        1.0.5
Release:        lp150.1.8
Summary:        Organize your desktop with panels, notes and photos
License:        GPL-3.0+
Group:          System/GUI/Other
URL:            https://github.com/spheras
Source:         https://github.com/spheras/desktopfolder/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libwnck-3.0)
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
Organize your desktop with panels that hold your things.
  * Access files, folders and apps from your desktop
  * Drop files, folders, links and .desktop launchers inside panels
  * Resize, position and color panels
  * Display photos and keep notes on your desktop
  * Reveal the desktop with ⌘-D

%lang_package

%prep
%setup -q

sed -i 's/\bmetainfo\b/appdata/' $(grep -rwl 'metainfo')

%build
%meson
%meson_build

%install
%meson_install

# https://github.com/spheras/desktopfolder/issues/69
find %{buildroot} -name \*.??g -exec chmod 0644 {} \;

%{suse_update_desktop_file -r \
  %{buildroot}%{_datadir}/applications/com.github.spheras.desktopfolder.desktop GTK Utility DesktopSettings}
%find_lang com.github.spheras.desktopfolder %{name}.lang
%fdupes %{buildroot}/%{_datadir}

%post
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files
%doc AUTHORS* LICENSE* README.md
%{_bindir}/com.github.spheras.desktopfolder
%dir %{_datadir}/appdata
%{_datadir}/appdata/com.github.spheras.desktopfolder.appdata.xml
%{_datadir}/applications/com.github.spheras.desktopfolder.desktop
%{_datadir}/glib-2.0/schemas/com.github.spheras.desktopfolder.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.github.spheras.desktopfolder.??g
%{_sysconfdir}/xdg/autostart/com.github.spheras.desktopfolder.desktop

%files lang -f %{name}.lang

%changelog
* Sat Jan  6 2018 avvissu@yandex.by
- Update to 1.0.5:
  * fake desktop update status automatically bugfixing
  * existent setting property bugfixing
  * fake desktop removed when property changed
  * note back and top bugfixing
  * Note rename popup bugfixing
  * issue #90 - Drag & drop breaks after dragging & dropping an
    item between panels
  * Update lt.po
  * properties dialog modal #87 lock panel -header bugfix
  * improved notes and photos json modifications
  * Add libjson-glib-dev to dependency list in README
  * updated authors and changelog
* Tue Nov  7 2017 avvissu@yandex.by
- Initial package
